clang-tools 6.0.0

Public Member Functions | List of all members
CollectEntitiesVisitor Class Reference
Inheritance diagram for CollectEntitiesVisitor:
[legend]
Collaboration diagram for CollectEntitiesVisitor:
[legend]

## Public Member Functions
| CollectEntitiesVisitor (SourceManager &SM, EntityMap &Entities, Preprocessor &PP, PreprocessorTracker &PPTracker, int &HadErrors)
bool | TraverseStmt (Stmt *S)
bool | TraverseType (QualType T)
bool | TraverseTypeLoc (TypeLoc TL)
bool | TraverseNestedNameSpecifier (NestedNameSpecifier *NNS)
bool | TraverseNestedNameSpecifierLoc (NestedNameSpecifierLoc NNS)
bool | TraverseDeclarationNameInfo (DeclarationNameInfo NameInfo)
bool | TraverseTemplateName (TemplateName Template)
bool | TraverseTemplateArgument (const TemplateArgument &Arg)
bool | TraverseTemplateArgumentLoc (const TemplateArgumentLoc &ArgLoc)
bool | TraverseTemplateArguments (const TemplateArgument *Args, unsigned NumArgs)
bool | TraverseConstructorInitializer (CXXCtorInitializer *Init)
bool | TraverseLambdaCapture (LambdaExpr *LE, const LambdaCapture *C, Expr *Init)
bool | VisitLinkageSpecDecl (LinkageSpecDecl *D)
bool | VisitNamespaceDecl (const NamespaceDecl *D)
bool | VisitNamedDecl (NamedDecl *ND)

## Detailed Description

Definition at line 543 of file Modularize.cpp.

## Constructor & Destructor Documentation

## ◆ CollectEntitiesVisitor()

CollectEntitiesVisitor::CollectEntitiesVisitor | ( | SourceManager & | SM,
|  | EntityMap & | Entities,
|  | Preprocessor & | PP,
|  | PreprocessorTracker & | PPTracker,
|  | int & | HadErrors
| ) |  |
| inline

Definition at line 546 of file Modularize.cpp.

## Member Function Documentation

## ◆ TraverseConstructorInitializer()

bool CollectEntitiesVisitor::TraverseConstructorInitializer | ( | CXXCtorInitializer * | Init | ) |
| inline

Definition at line 571 of file Modularize.cpp.

## ◆ TraverseDeclarationNameInfo()

bool CollectEntitiesVisitor::TraverseDeclarationNameInfo | ( | DeclarationNameInfo | NameInfo | ) |
| inline

Definition at line 559 of file Modularize.cpp.

## ◆ TraverseLambdaCapture()

bool CollectEntitiesVisitor::TraverseLambdaCapture | ( | LambdaExpr * | LE,
|  | const LambdaCapture * | C,
|  | Expr * | Init
| ) |  |
| inline

Definition at line 572 of file Modularize.cpp.

## ◆ TraverseNestedNameSpecifier()

bool CollectEntitiesVisitor::TraverseNestedNameSpecifier | ( | NestedNameSpecifier * | NNS | ) |
| inline

Definition at line 555 of file Modularize.cpp.

## ◆ TraverseNestedNameSpecifierLoc()

bool CollectEntitiesVisitor::TraverseNestedNameSpecifierLoc | ( | NestedNameSpecifierLoc | NNS | ) |
| inline

Definition at line 556 of file Modularize.cpp.

## ◆ TraverseStmt()

bool CollectEntitiesVisitor::TraverseStmt | ( | Stmt * | S | ) |
| inline

Definition at line 552 of file Modularize.cpp.

## ◆ TraverseTemplateArgument()

bool CollectEntitiesVisitor::TraverseTemplateArgument | ( | const TemplateArgument & | Arg | ) |
| inline

Definition at line 563 of file Modularize.cpp.

## ◆ TraverseTemplateArgumentLoc()

bool CollectEntitiesVisitor::TraverseTemplateArgumentLoc | ( | const TemplateArgumentLoc & | ArgLoc | ) |
| inline

Definition at line 564 of file Modularize.cpp.

## ◆ TraverseTemplateArguments()

bool CollectEntitiesVisitor::TraverseTemplateArguments | ( | const TemplateArgument * | Args,
|  | unsigned | NumArgs
| ) |  |
| inline

Definition at line 567 of file Modularize.cpp.

## ◆ TraverseTemplateName()

bool CollectEntitiesVisitor::TraverseTemplateName | ( | TemplateName | Template | ) |
| inline

Definition at line 562 of file Modularize.cpp.

## ◆ TraverseType()

bool CollectEntitiesVisitor::TraverseType | ( | QualType | T | ) |
| inline

Definition at line 553 of file Modularize.cpp.

## ◆ TraverseTypeLoc()

bool CollectEntitiesVisitor::TraverseTypeLoc | ( | TypeLoc | TL | ) |
| inline

Definition at line 554 of file Modularize.cpp.

## ◆ VisitLinkageSpecDecl()

bool CollectEntitiesVisitor::VisitLinkageSpecDecl | ( | LinkageSpecDecl * | D | ) |
| inline

Definition at line 578 of file Modularize.cpp.

## ◆ VisitNamedDecl()

bool CollectEntitiesVisitor::VisitNamedDecl | ( | NamedDecl * | ND | ) |
| inline

Definition at line 611 of file Modularize.cpp.

References Loc, and Name.

## ◆ VisitNamespaceDecl()

bool CollectEntitiesVisitor::VisitNamespaceDecl | ( | const NamespaceDecl * | D | ) |
| inline

Definition at line 599 of file Modularize.cpp.

The documentation for this class was generated from the following file:

- Modularize.cpp